
#ifndef BASICTEXTURING_SHAREDTYPES_H
#define BASICTEXTURING_SHAREDTYPES_H

#include <simd/simd.h>

struct Vertex
{
    simd::float4 position;
    simd::float3 normal;
    simd::float2 texCoords;
};

struct Uniforms
{
    simd::float4x4 modelViewProjectionMatrix;
    simd::float4x4 modelViewMatrix;
    simd::float3x3 normalMatrix;
};

typedef uint16_t IndexType;

#endif
